QGIS Application - Bug report #4752
Crash when zooming
2012-01-06 01:55 AM - MRick -

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Mac OS X 10.6.8 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 14621
Description

Hi

I have a file in which i rendered bus lines. | set the 'ref' field as a text layer.

When | zoom, QGIS will crash whatever the version is.

It will not crash if | change the text layer value from 'ref' to 'name' or any other field when i am zooming.
Strange, do you mind what could happen?

It is strange, why for a value, not another?

The lines are rendered as rules set as follow:
((line ="bus") AND (ref ='16'"))

| give you the file, but | doubt it will be useful without the right database, but | join you the data set.

<http://www.box.com/s/nibrax4ag5cyvtévor13>

History

#1 - 2012-01-06 11:53 AM - Martin Dobias
The crash log suggest that the error happens in the labeling code.
Could you please try to save your layer to a common format (e.g. shapefile) and prepare a project that triggers the crash? | don't know how to easily load

the data you have provided.

#2 - 2012-01-19 02:21 AM - MRick -
- File Archive.zip added

Hi this is the crashing test base in shape files.

#3 - 2012-01-19 02:42 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

#4 - 2012-01-31 05:02 AM - Martin Dobias

- Category changed from Browser to Labelling
http://www.box.com/s/nibrax4ag5cyvt6vor13

| am unable to reproduce (linux, master branch) with the attached data. Anyone else does?

#5 - 2012-01-31 06:55 AM - Giovanni Manghi
- Status changed from Open to Feedback

#6 - 2012-02-15 03:37 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary, attaching a project with the layers, symbology and labelling options to trigger the problem. Try

also removing any 3rd party plugin if something changes.

Files
crash_log.txt 51.3 KB 2012-01-06 MRick -
Archive.zip 205 KB 2012-01-19 MRick -
